! copyright (c) 2008 Swedish Defence Research Agency (FOI)
! may not be copied or distributed without written permission from FOI



	COMPLEX*32 FUNCTION EIMULT (Z)
C	eimult := i*z

	IMPLICIT NONE

	COMPLEX*32 Z

	COMPLEX*32 ZNOW, QCMPLX

	ZNOW = Z

	EIMULT = QCMPLX (-AIMAG(ZNOW),REAL(ZNOW))

	RETURN
	END
